using System;

using BS.Shared;

namespace BeWo.Data.Entities
{
    public class Timesheet : BeWoEntityBase
    {
        public static string PropertyName_CreationDate = "CreationDate";

        public static string PropertyName_ShortName = "ShortName";

        private DateTime? _CreationDate;

        private DateTime? _SignDate;

        public Timesheet()
        {
            this._Tid = TableID.Timesheet;
        }

        public virtual DateTime? CreationDate
        {
            get
            {
                return this._CreationDate;
            }

            set
            {
                if (this.AreDifferent(this._CreationDate, value))
                {
                    this._CreationDate = value;
                }
            }
        }

        public virtual DateTime? SignDate
        {
            get
            {
                return this._SignDate;
            }

            set
            {
                if (this.AreDifferent(this._SignDate, value))
                {
                    this._SignDate = value;
                }
            }
        }
    }
}